using System;
using Server;

namespace Server.Items
{
	public class AgateGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public AgateGem() : this( 1 )
		{
		}

		[Constructable]
		public AgateGem( int amount ) : base( 3875 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Agate";
			Hue = 1170;
		}

		public AgateGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}