using System;
using Server;

namespace Server.Items
{
	public class AquamarineGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public AquamarineGem() : this( 1 )
		{
		}

		[Constructable]
		public AquamarineGem( int amount ) : base( 3882 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Aquamarine";
			Hue = 1266;
		}

		public AquamarineGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}