using System;
using Server;

namespace Server.Items
{
	public class CarnelianGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public CarnelianGem() : this( 1 )
		{
		}

		[Constructable]
		public CarnelianGem( int amount ) : base( 3864 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Carnelian";
			Hue = 1258;
		}

		public CarnelianGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}