using System;
using Server;

namespace Server.Items
{
	public class ChrysopraseGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public ChrysopraseGem() : this( 1 )
		{
		}

		[Constructable]
		public ChrysopraseGem( int amount ) : base( 3866 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Chrysoprase";
			Hue = 169;
		}

		public ChrysopraseGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}