using System;
using Server;

namespace Server.Items
{
	public class HugeDiamondGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.3; }
		}

		[Constructable]
		public HugeDiamondGem() : this( 1 )
		{
		}

		[Constructable]
		public HugeDiamondGem( int amount ) : base( 3881 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Huge Diamond";
		}

	        public virtual int ArtifactRarity 
	        { 
  	        get{ return 3; } 
 	        }

  		public override void GetProperties( ObjectPropertyList list ) 
		{ 
		base.GetProperties( list ); 


		if ( ArtifactRarity > 0 ) 
		list.Add( 1061078, ArtifactRarity.ToString() ); // artifact rarity ~1_val~ - display AR 
		} 

		public HugeDiamondGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}