using System;
using Server;

namespace Server.Items
{
	public class JadeGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public JadeGem() : this( 1 )
		{
		}

		[Constructable]
		public JadeGem( int amount ) : base( 3871 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Jade";
		}

		public JadeGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}