using System;
using Server;

namespace Server.Items
{
	public class JasperGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public JasperGem() : this( 1 )
		{
		}

		[Constructable]
		public JasperGem( int amount ) : base( 3863 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Jasper";
			Hue = 1260;
		}

		public JasperGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}