using System;
using Server;

namespace Server.Items
{
	public class LargeRubyGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public LargeRubyGem() : this( 1 )
		{
		}

		[Constructable]
		public LargeRubyGem( int amount ) : base( 3859 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Large Ruby";
		}

		public LargeRubyGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}