using System;
using Server;

namespace Server.Items
{
	public class LarimarGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public LarimarGem() : this( 1 )
		{
		}

		[Constructable]
		public LarimarGem( int amount ) : base( 3867 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Larimar";
		}

		public LarimarGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}