using System;
using Server;

namespace Server.Items
{
	public class MalachiteGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public MalachiteGem() : this( 1 )
		{
		}

		[Constructable]
		public MalachiteGem( int amount ) : base( 3870 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Malachite";
			Hue = 177;
		}

		public MalachiteGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}