using System;
using Server;

namespace Server.Items
{
	public class PeridotGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public PeridotGem() : this( 1 )
		{
		}

		[Constructable]
		public PeridotGem( int amount ) : base( 3864 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Peridot";
		}

		public PeridotGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}