using System;
using Server;

namespace Server.Items
{
	public class RoseQuartzGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public RoseQuartzGem() : this( 1 )
		{
		}

		[Constructable]
		public RoseQuartzGem( int amount ) : base( 3857 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Rose Quartz";
			Hue = 1166;
		}

		public RoseQuartzGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}