using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBJewel: SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBJewel()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( Amber ), 45, 20, 0xF25, 0 ) );
				Add( new GenericBuyInfo( typeof( Amethyst ), 105, 20, 0xF16, 0 ) );
				Add( new GenericBuyInfo( typeof( Citrine ), 75, 20, 0xF15, 0 ) );
				Add( new GenericBuyInfo( typeof( Diamond ), 300, 20, 0xF26, 0 ) );
				Add( new GenericBuyInfo( typeof( Emerald ), 150, 20, 0xF10, 0 ) );
				Add( new GenericBuyInfo( typeof( Ruby ), 180, 20, 0xF13, 0 ) );
				Add( new GenericBuyInfo( typeof( Sapphire ), 188, 20, 0xF19, 0 ) );
				Add( new GenericBuyInfo( typeof( StarSapphire ), 225, 20, 0xF21, 0 ) );
				Add( new GenericBuyInfo( typeof( Tourmaline ), 82, 20, 0xF2D, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( Diamond ), 200 );
				Add( typeof( StarSapphire ), 150 );
				Add( typeof( Sapphire ), 125 );
				Add( typeof( Ruby ), 120 );
				Add( typeof( Emerald ), 100 );
				Add( typeof( Amethyst ), 70 );
				Add( typeof( Tourmaline ), 55 );
				Add( typeof( Citrine ), 50 );
				Add( typeof( Amber ), 30 );

				Add( typeof( TopazGem ), 90 );
				Add( typeof( JadeGem ), 80 );
				Add( typeof( LapisLazuliGem ), 80 );
				Add( typeof( BloodstoneGem ), 75 );
				Add( typeof( TurquoiseGem ), 70 );
				Add( typeof( ChrysopraseGem ), 70 );
				Add( typeof( AquamarineGem), 60 );
				Add( typeof( CarnelianGem ), 45 );
				Add( typeof( OnyxGem ), 45 );
				Add( typeof( GarnetGem ), 40 );
				Add( typeof( JasperGem ), 40 );
				Add( typeof( KyaniteGem ), 35 );
				Add( typeof( MalachiteGem ), 35 );
				Add( typeof( OpalGem ), 35 );
				Add( typeof( RoseQuartzGem ), 30 );
				Add( typeof( TigereyeGem ), 30 );
				Add( typeof( PeridotGem ), 25 );
				Add( typeof( AgateGem ), 25 );

				Add( typeof( HugeDiamondGem), 5000 );
				Add( typeof( LarimarGem ), 500 );
				Add( typeof( LargeAmethystGem ), 1500 );
				Add( typeof( LargeChrysopraseGem ), 2000 );
				Add( typeof( LargeRubyGem ), 2500 );
				Add( typeof( LargeStarSapphireGem ), 3000 );
				Add( typeof( RawObsidian ), 200 );
				Add( typeof( PowerCrystal ), 500 );
				Add( typeof( ArcaneGem ), 200 );
			}
		}
	}
}
