using System;
using Server;

namespace Server.Items
{
	public class TigereyeGem : Item
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public TigereyeGem() : this( 1 )
		{
		}

		[Constructable]
		public TigereyeGem( int amount ) : base( 3855 )
		{
			Stackable = true;
			Amount = amount;
			Name = "Tiger's Eye";
			Hue = 1281;
		}

		public TigereyeGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}